Updated version scripts for git

This commit is contained in:
o9000 2015-04-24 19:40:38 +02:00
parent 2357e31965
commit 2745eefec7
2 changed files with 22 additions and 0 deletions

View file

@ -1,3 +1,20 @@
#!/bin/sh
git update-index -q --ignore-submodules --refresh
# Disallow unstaged changes in the working tree
if ! git diff-files --quiet --ignore-submodules --
then
echo >&2 "Error: there are unstaged changes."
git diff-files --name-status -r --ignore-submodules -- >&2
exit 1
fi
# Disallow uncommitted changes in the index
if ! git diff-index --cached --quiet HEAD --ignore-submodules --
then
echo >&2 "Error: there are uncommitted changes."
git diff-index --cached --name-status -r --ignore-submodules HEAD -- >&2
exit 1
fi
git describe --exact-match 2>/dev/null || echo "0.11-git$(git show -s --pretty=format:%cI.%h | tr -d ':' | tr -d '-' | tr '.' '-' | sed 's/T[0-9\+]*//g')"

View file

@ -20,6 +20,11 @@
# git checkout master
VERSION=$(./get_version.sh)
if [ ! $? -eq 0 ]
then
echo >&2 "Error: get_version.sh failed!"
exit 1
fi
DIR=tint2-$VERSION
echo "Making release $DIR"